<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/parameter"></ion-back-button>
    </ion-buttons>
    <ion-title>theme</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="materialAppRow">
    <ion-col no-padding class="materialAppThemeCol" size="12">
      <ion-item>
          
          <ion-segment-button class="lightOrangeSegmentBtn">
            
            <ion-button *ngIf="!visiableBtnAutum" (click)="changeTheme('autumn')" class="lightOrangeBtn"></ion-button>
            <ion-button *ngIf="visiableBtnAutum" (click)="changeTheme('autumn')" class="lightOrangeBtn">
              <label>Autumn</label> <ion-icon class="checkmark-icon" name="checkmark" size="large"></ion-icon>
            </ion-button>
          </ion-segment-button>
          <ion-segment-button class="darkBlueSegmentBtn">
            <ion-button *ngIf="!visiableBtnNight" (click)="changeTheme('night')" class="darkBlueBtn"></ion-button>
            <ion-button *ngIf="visiableBtnNight" (click)="changeTheme('night')" class="darkBlueBtn">
              <ion-icon class="checkmark-icon" name="checkmark" size="large"></ion-icon>
            </ion-button>
          </ion-segment-button>
        </ion-item>
        <ion-item>
          <ion-segment-button class="lightPurpleSegmentBtn">
            <ion-button *ngIf="!visiableBtnNeon" (click)="changeTheme('neon')" class="lightPurpleBtn"></ion-button>
            <ion-button *ngIf="visiableBtnNeon" (click)="changeTheme('neon')" class="lightPurpleBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
          <ion-segment-button class="darkPinkSegmentBtn">
            <ion-button *ngIf="!visiableBtnOriginal" (click)="changeTheme('orginal')" class="darkPinkBtn"></ion-button>
            <ion-button *ngIf="visiableBtnOriginal" (click)="changeTheme('orginal')" class="darkPinkBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
        </ion-item>
        <ion-item>
          <ion-segment-button class="redSegmentBtn">
            <ion-button *ngIf="!visiableBtnRed" (click)="changeTheme('red')" class="redBtn"></ion-button>
            <ion-button *ngIf="visiableBtnRed" (click)="changeTheme('red')" class="redBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
          <ion-segment-button class="purpleSegmentBtn">
            <ion-button *ngIf="!visiableBtnPurple" (click)="changeTheme('purple')" class="purpleBtn"></ion-button>
            <ion-button *ngIf="visiableBtnPurple" (click)="changeTheme('purple')" class="purpleBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
        </ion-item>
        <ion-item>
          <ion-segment-button class="lightBlueSegmentBtn">
            <ion-button *ngIf="!visiableBtnLightblue" (click)="changeTheme('Lightblue')" class="lightBlueBtn"></ion-button>
            <ion-button *ngIf="visiableBtnLightblue" (click)="changeTheme('Lightblue')" class="lightBlueBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
          <ion-segment-button class="lightGreenSegmentBtn">
            <ion-button *ngIf="!visiableBtnLightgreen" (click)="changeTheme('Lightgreen')" class="lightGreenBtn"></ion-button>
            <ion-button *ngIf="visiableBtnLightgreen" (click)="changeTheme('Lightgreen')" class="lightGreenBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
        </ion-item>
        <ion-item>
          <ion-segment-button class="lightGray1SegmentBtn">
            <ion-button *ngIf="!visiableBtnLightgray" (click)="changeTheme('Lightgray')" class="lightGray1"></ion-button>
            <ion-button *ngIf="visiableBtnLightgray" (click)="changeTheme('Lightgray')" class="lightGray1">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
          <ion-segment-button class="blueSegmentBtn">
            <ion-button *ngIf="!visiableBtnBlue" (click)="changeTheme('blue')" class="blueBtn"></ion-button>
            <ion-button *ngIf="visiableBtnBlue" (click)="changeTheme('blue')" class="blueBtn">
              <ion-icon class="checkmark-icon" name="checkmark"></ion-icon>
            </ion-button>
          </ion-segment-button>
      </ion-item>
    </ion-col>
  </ion-row>
</ion-content>
